.profile-header {
    @apply w-full mx-auto z-10 mt-10;
}

.profile-header__content {
    @apply flex flex-row flex-1 items-center my-10;
}

.profile-picture {
    @apply flex flex-row flex-grow items-center;
}

.profile-picture-container {
    @apply relative flex-shrink-0 h-24 w-24 rounded-full mr-4;
}

.profile-picture-container__img {
    @apply relative inline-block overflow-hidden;

    img {
        @apply h-24 w-24 rounded shadow-lg;
    }
}

.profile-picture__overlay {
    background: rgba(0, 0, 0, 0.5);
    @apply absolute flex rounded text-neutral-200 inset-0 h-full w-full opacity-0 transition-all transition-fast;

    &:hover {
        @apply opacity-100;
    }
}

.profile-name {
    @apply flex flex-col justify-center items-start;
}

.profile-name__container {
    @apply text-xl text-neutral-100 font-display-1;
}

.profile-name__phrase {
    max-width: 280px;
    @apply inline-block text-base text-neutral-200 h-auto break-words whitespace-normal overflow-hidden truncate;
}
